Package org.eclipse.birt.chart.model.attribute

# Enum AngleType

java.lang.Object
java.lang.Enum<AngleType>
org.eclipse.birt.chart.model.attribute.AngleType

All Implemented Interfaces:
  `Serializable`, `Comparable<AngleType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum AngleType extends Enum<AngleType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Angle Type', and utility methods for working with them. This type defines the angle type of an Angle3D

See Also:
  - `AttributePackage.getAngleType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE_LITERAL`
The 'None' literal object.
`X_LITERAL`
The 'X' literal object.
`Y_LITERAL`
The 'Y' literal object.
`Z_LITERAL`
The 'Z' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NONE`
The 'None' literal value.
`static final List<AngleType>`
`VALUES`
A public read-only list of all the 'Angle Type' enumerators.
`static final int`
`X`
The 'X' literal value.
`static final int`
`Y`
The 'Y' literal value.
`static final int`
`Z`
The 'Z' literal value.

## Method Summary

Modifier and Type
Method
Description
`static AngleType`
`get(int value)`
Returns the 'Angle Type' literal with the specified integer value.
`static AngleType`
`get(String literal)`
Returns the 'Angle Type' literal with the specified literal value.
`static AngleType`
`getByName(String name)`
Returns the 'Angle Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static AngleType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AngleType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE_LITERAL

public static final AngleType NONE_LITERAL
The 'None' literal object.

See Also:
  - `NONE`

### X_LITERAL

public static final AngleType X_LITERAL
The 'X' literal object.

See Also:
  - `X`

### Y_LITERAL

public static final AngleType Y_LITERAL
The 'Y' literal object.

See Also:
  - `Y`

### Z_LITERAL

public static final AngleType Z_LITERAL
The 'Z' literal object.

See Also:
  - `Z`

## Field Details

### NONE

public static final int NONE
The 'None' literal value.

If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NONE_LITERAL`
  - Constant Field Values

### X

public static final int X
The 'X' literal value.

If the meaning of 'X' literal object isn't clear, there really should be more of a description here...

See Also:
  - `X_LITERAL`
  - Constant Field Values

### Y

public static final int Y
The 'Y' literal value.

If the meaning of 'Y' literal object isn't clear, there really should be more of a description here...

See Also:
  - `Y_LITERAL`
  - Constant Field Values

### Z

public static final int Z
The 'Z' literal value.

If the meaning of 'Z' literal object isn't clear, there really should be more of a description here...

See Also:
  - `Z_LITERAL`
  - Constant Field Values

### VALUES

public static final List<AngleType> VALUES
A public read-only list of all the 'Angle Type' enumerators.

## Method Details

### values

public static AngleType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AngleType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static AngleType get(String literal)
Returns the 'Angle Type' literal with the specified literal value.

### getByName

public static AngleType getByName(String name)
Returns the 'Angle Type' literal with the specified name.

### get

public static AngleType get(int value)
Returns the 'Angle Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<AngleType>`